MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0004510ardourbugspublic2011-11-24 10:342011-12-06 15:42
Reporteroofus 
Assigned Tocth103 
PrioritynormalSeveritytrivialReproducibilityalways
StatusclosedResolutionfixed 
PlatformDell D830 core2duo T9300 2.5GHzOSKubuntuOS Version11.10
Product Version 
Target VersionFixed in Version3.0-beta2 
Summary0004510: Shift+Ctrl+clicking on the 'narrow mixerstrip' button of a mixer strip should make all mixer strips narrow.
DescriptionShift+Ctrl+clicking on the 'narrow mixerstrip' button of a mixer strip should make all mixer strips narrow.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0012204)
cth103 (administrator)
2011-11-24 12:08

SVN 10822.
(0012208)
colinf (updater)
2011-11-25 04:36

Other channel strip controls (rec-arm, mute, etc.) use <Ctrl>+<Shift>+click to mean 'apply to all routes', but these only require <Shift>-click.

Was there any reason not to make it consistent?
(0012209)
nowhiskey (reporter)
2011-11-25 05:17

also the checkbox in the preferences dialog 'use narrow mixer strip' should corresponding to it, when we ctrl+shift+narrow mixer strips.

at least from my point of view.


cheers,
doc
(0012227)
oofus (developer)
2011-11-28 09:53

Yes, this should be ctrl+shift, not just shift.
(0012228)
cth103 (administrator)
2011-11-28 10:47

Ctrl-shift is now used in SVN 10831. Seems a bit odd to me to change a global preference in this way (as nowhiskey is suggesting). Any other opinions?
(0012229)
oofus (developer)
2011-11-28 10:58

I don't see it as a global preference, I see it as a state when I am using the mixer. If I want to solo something I click the solo button. If I want to solo everything I ctrl+shift+click the solo button. LIke wise, if I want a narrow mixer strip then I click the narrow button, for all I ctrl+shift+click. Changing the width can be a transitory thing, I don't want to have to go digging in the prefs every time I want to do it.
(0012231)
cth103 (administrator)
2011-11-28 11:56

I think we'll leave things as they are for now, so that you can temporarily change things with the control-shift-click without affecting a global preference.
(0012314)
oofus (developer)
2011-12-06 15:42

Fixed

- Issue History
Date Modified Username Field Change
2011-11-24 10:34 oofus New Issue
2011-11-24 10:34 oofus cost => 0.00
2011-11-24 12:08 cth103 Note Added: 0012204
2011-11-24 12:08 cth103 Status new => resolved
2011-11-24 12:08 cth103 Fixed in Version => 3.0-beta2
2011-11-24 12:08 cth103 Resolution open => fixed
2011-11-24 12:08 cth103 Assigned To => cth103
2011-11-25 04:36 colinf Note Added: 0012208
2011-11-25 05:17 nowhiskey Note Added: 0012209
2011-11-28 09:53 oofus Note Added: 0012227
2011-11-28 09:53 oofus Status resolved => feedback
2011-11-28 09:53 oofus Resolution fixed => reopened
2011-11-28 10:47 cth103 Note Added: 0012228
2011-11-28 10:58 oofus Note Added: 0012229
2011-11-28 11:56 cth103 Note Added: 0012231
2011-11-28 11:56 cth103 Status feedback => resolved
2011-11-28 11:56 cth103 Resolution reopened => fixed
2011-12-06 15:42 oofus Note Added: 0012314
2011-12-06 15:42 oofus Status resolved => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker